clang 10.0.0git

Typedefs | Functions
ScanfFormatString.cpp File Reference
`#include "clang/AST/FormatString.h"`
`#include "FormatStringParsing.h"`
`#include "clang/Basic/TargetInfo.h"`
Include dependency graph for ScanfFormatString.cpp:

Go to the source code of this file.

## Typedefs
typedef clang::analyze_format_string::SpecifierResult< ScanfSpecifier > | ScanfSpecifierResult

## Functions
static bool | ParseScanList (FormatStringHandler &H, ScanfConversionSpecifier &CS, const char *&Beg, const char *E)
static ScanfSpecifierResult | ParseScanfSpecifier (FormatStringHandler &H, const char *&Beg, const char *E, unsigned &argIndex, const LangOptions &LO, const TargetInfo &Target)

## Typedef Documentation

## ◆ ScanfSpecifierResult

typedef clang::analyze_format_string::SpecifierResult<ScanfSpecifier> ScanfSpecifierResult

Definition at line 29 of file ScanfFormatString.cpp.

## Function Documentation

## ◆ ParseScanfSpecifier()

static ScanfSpecifierResult ParseScanfSpecifier | ( | FormatStringHandler & | H,
|  | const char *& | Beg,
|  | const char * | E,
|  | unsigned & | argIndex,
|  | const LangOptions & | LO,
|  | const TargetInfo & | Target
| ) |  |
| static

Definition at line 75 of file ScanfFormatString.cpp.

References clang::analyze_format_string::FormatStringHandler::HandleIncompleteSpecifier(), and clang::analyze_format_string::FormatStringHandler::HandleNullChar().

Referenced by clang::analyze_format_string::ParseScanfString().

## ◆ ParseScanList()

static bool ParseScanList | ( | FormatStringHandler & | H,
|  | ScanfConversionSpecifier & | CS,
|  | const char *& | Beg,
|  | const char * | E
| ) |  |
| static

Definition at line 31 of file ScanfFormatString.cpp.

References clang::analyze_format_string::FormatStringHandler::HandleIncompleteScanList(), and clang::analyze_format_string::ConversionSpecifier::setEndScanList().